Subject: bug#48131: closed (Re: bug#48131: build failure: 1.3.0rc1 on Debian i386 with guile-2.2)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Mar 2022 06:10:02 +0000

Your bug report

#48131: build failure: 1.3.0rc1 on Debian i386 with guile-2.2

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48131: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48131
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48131: build failure: 1.3.0rc1 on Debian i386 with guile-2.2
From: Vagrant Cascadian <[email-masked]>
To: Maxim Cournoyer <[email-masked]>, Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Mar 2022 23:09:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2022-03-17, Maxim Cournoyer wrote:
> Ludovic Courtès <[email-masked]> writes:
>> Vagrant Cascadian <[email-masked]> skribis:
>>> On 2021-05-02, Vagrant Cascadian wrote:
>>>> On 2021-05-02, Ludovic Courtès wrote:
>>>>> Guile 3.0’s compiler with ‘-O1’ (which is what we use for package files)
>>>>> uses much less memory than 2.2¹.  The amount of memory may also be a
>>>>> function of the number of threads used (‘-j’).  So it could be that the
>>>>> build failed on a machine with less memory or more cores.
>>>>
>>>> The machine it failed on had 32 cores and 140GB of ram... but will
>>>> experiment with reducing parallelism on that machine and see if that
>>>> helps.
>>>
>>> I just realized that the Debian guix packages are built with parallelism
>>> disabled for reproducible builds, so that seems unlikely to be the
>>> issue... it might just be an issue with guile-2.2 on Debian...
>>
>> D’oh.  Could you try reducing the number of libgc marker thread, in case
>> that is what’s causing troubles?  You can do that by setting the
>> GC_MARKERS environment variables, as in GC_MARKERS=2.
>
> Is this issue still actual?
>
> If so, could you try what Ludovic suggested?  Otherwise, let's close it.

The Debian packages have since switched to use guile 3.0... I'll close
it for now.

Can always reopen if it starts happening again.

live well,
  vagrant

Subject: build failure: 1.3.0rc1 on Debian i386 with guile-2.2
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Fri, 30 Apr 2021 17:01:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been unable to build version 1.3.0rc1 for i386 on Debian:

  [ 70%] GUILEC   gnu/packages/direct-connect.go
  [ 70%] GUILEC   gnu/packages/disk.go
  GC Warning: Failed to expand heap by 8388608 bytes
  GC Warning: Failed to expand heap by 8388608 bytes
  ...
  GC Warning: Failed to expand heap by 8388608 bytes
  GC Warning: Failed to expand heap by 8388608 bytes
  Too many heap sections: Increase MAXHINCR or MAX_HEAP_SECTS
  make[3]: *** [Makefile:6871: make-go] Aborted

Debian is still using guile-2.2, so I'm guessing this is not a
particularly well tested codepath anymore...

live well,
  vagrant